## edu.stanford.nlp.trees.tregex.tsurgeon
Class TsurgeonParserTokenManager

    java.lang.Object
      edu.stanford.nlp.trees.tregex.tsurgeon.TsurgeonParserTokenManager

All Implemented Interfaces:
  TsurgeonParserConstants

    public class TsurgeonParserTokenManager

extends Object
implements TsurgeonParserConstants

Token Manager.

Field Summary
`protected static char` `curChar`
`static PrintStream` `debugStream` Debug output.
`protected static SimpleCharStream` `input_stream`
`static String[]` `jjstrLiteralImages` Token literal values.
`static String[]` `lexStateNames` Lexer state names.

Fields inherited from interface edu.stanford.nlp.trees.tregex.tsurgeon.TsurgeonParserConstants
`ADJOIN, ADJOIN_TO_FOOT, ADJOIN_TO_HEAD, COINDEX, DEFAULT, DELETE, EOF, EXCISE, HASH_INTEGER, IDENTIFIER, INSERT, LABEL, LOCATION_RELATION, MOVE, PRUNE, QUOTEX, REGEX, RELABEL, REPLACE, SELECTION, tokenImage, TREE_NODE_NONTERMINAL_LABEL, TREE_NODE_TERMINAL_LABEL`

Constructor Summary
`TsurgeonParserTokenManager(SimpleCharStream stream)` Constructor.
`TsurgeonParserTokenManager(SimpleCharStream stream, int lexState)` Constructor.

Method Summary
`static Token` `getNextToken()` Get the next Token.
`protected static Token` `jjFillToken()`
`static void` `ReInit(SimpleCharStream stream)` Reinitialise parser.
`static void` `ReInit(SimpleCharStream stream, int lexState)` Reinitialise parser.
`static void` `setDebugStream(PrintStream ds)` Set debug output.
`static void` `SwitchTo(int lexState)` Switch to specified lex state.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### debugStream

    public static PrintStream debugStream

  Debug output.

### jjstrLiteralImages

    public static final String[] jjstrLiteralImages

  Token literal values.

### lexStateNames

    public static final String[] lexStateNames

  Lexer state names.

### input_stream

    protected static SimpleCharStream input_stream

### curChar

    protected static char curChar

Constructor Detail

### TsurgeonParserTokenManager

    public TsurgeonParserTokenManager(SimpleCharStream stream)

  Constructor.

### TsurgeonParserTokenManager

    public TsurgeonParserTokenManager(SimpleCharStream stream,
                                      int lexState)

  Constructor.

Method Detail

### setDebugStream

    public static void setDebugStream(PrintStream ds)

  Set debug output.

### ReInit

    public static void ReInit(SimpleCharStream stream)

  Reinitialise parser.

### ReInit

    public static void ReInit(SimpleCharStream stream,
                              int lexState)

  Reinitialise parser.

### SwitchTo

    public static void SwitchTo(int lexState)

  Switch to specified lex state.

### jjFillToken

    protected static Token jjFillToken()

### getNextToken

    public static Token getNextToken()

  Get the next Token.

Stanford NLP Group